Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt	(revision 11037)
@@ -23,29 +23,31 @@
     <input type="hidden" name="old_searchtype"
          tal:attributes="value view/searchtype" />
-    <table class="dataTableManage">
-      <thead>
-      <tr>
-        <th>&nbsp;</th>
-        <th width="50px" i18n:translate="">Serial</th>
-        <th i18n:translate="">AC</th>
-        <th i18n:translate="">State</th>
-        <th i18n:translate="">Owner</th>
-        <th i18n:translate="">History</th>
-      </tr>
-      </thead>
-      <tbody>
-      <tr tal:repeat="item view/hitlist">
-        <td><input type="checkbox" name="entries"
-                   tal:attributes="value item/code" /></td>
-        <td tal:content="item/batch_serial">1</td>
-        <td tal:content="item/code">APP-1-1234567890</td>
-        <td tal:content="item/translated_state">unused</td>
-        <td tal:content="item/owner">Id</td>
-          <td tal:content="structure python:item.history.replace('||','<br />')">
-            history
-          </td>
-      </tr>
-      </tbody>
-    </table>
+    <div class="table-responsive">
+      <table class="dataTableManage">
+        <thead>
+        <tr>
+          <th>&nbsp;</th>
+          <th width="50px" i18n:translate="">Serial</th>
+          <th i18n:translate="">AC</th>
+          <th i18n:translate="">State</th>
+          <th i18n:translate="">Owner</th>
+          <th i18n:translate="">History</th>
+        </tr>
+        </thead>
+        <tbody>
+        <tr tal:repeat="item view/hitlist">
+          <td><input type="checkbox" name="entries"
+                     tal:attributes="value item/code" /></td>
+          <td tal:content="item/batch_serial">1</td>
+          <td tal:content="item/code">APP-1-1234567890</td>
+          <td tal:content="item/translated_state">unused</td>
+          <td tal:content="item/owner">Id</td>
+            <td tal:content="structure python:item.history.replace('||','<br />')">
+              history
+            </td>
+        </tr>
+        </tbody>
+      </table>
+    </div>
     <div>
       <input type="submit" class="btn btn-default" name="disable"
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 11037)
@@ -37,43 +37,45 @@
     <tal:showApplicants  condition="view/showApplicants">
       <br />
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;
-            </th>
-            <th i18n:translate="">Application Number
-            </th>
-            <th i18n:translate="">Full Name
-            </th>
-            <th i18n:translate="">First Choice
-            </th>
-            <th i18n:translate="">Application State
-            </th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="appl context/values">
-            <td>
-              <input type="checkbox" name="val_id" tal:attributes="value appl/__name__" />
-            </td>
-            <td>
-              <a tal:attributes="href python: view.url(appl)"
-                 tal:content="appl/__name__">NUMBER</a>
-            </td>
-            <td>
-              <span tal:replace="appl/display_fullname">FULLNAME
-              </span>
-            </td>
-            <td>
-              <span tal:replace="appl/course1/code|nothing">FIRSTCHOICE
-              </span>
-            </td>
-            <td>
-              <span tal:replace="appl/translated_state">STATE
-              </span>
-            </td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;
+              </th>
+              <th i18n:translate="">Application Number
+              </th>
+              <th i18n:translate="">Full Name
+              </th>
+              <th i18n:translate="">First Choice
+              </th>
+              <th i18n:translate="">Application State
+              </th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="appl context/values">
+              <td>
+                <input type="checkbox" name="val_id" tal:attributes="value appl/__name__" />
+              </td>
+              <td>
+                <a tal:attributes="href python: view.url(appl)"
+                   tal:content="appl/__name__">NUMBER</a>
+              </td>
+              <td>
+                <span tal:replace="appl/display_fullname">FULLNAME
+                </span>
+              </td>
+              <td>
+                <span tal:replace="appl/course1/code|nothing">FIRSTCHOICE
+                </span>
+              </td>
+              <td>
+                <span tal:replace="appl/translated_state">STATE
+                </span>
+              </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
       <input type="checkbox" onClick="toggle(this, 'val_id')" />
       <span  i18n:translate="">Select all</span>
@@ -102,27 +104,29 @@
     </div>
     <div id="tab3" class="tab-pane"> <br />
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;
-            </th>
-            <th i18n:translate="">User Id
-            </th>
-            <th i18n:translate="">Name
-            </th>
-            <th i18n:translate="">Local Role
-            </th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
-              <input type="checkbox" name="role_id"
-                tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
-            <td tal:content="entry/user_name"> USERNAME  </td>
-            <td tal:content="entry/user_title"> USERTITLE  </td>
-            <td tal:content="entry/local_role_title"> LOCAL ROLE  </td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;
+              </th>
+              <th i18n:translate="">User Id
+              </th>
+              <th i18n:translate="">Name
+              </th>
+              <th i18n:translate="">Local Role
+              </th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
+                <input type="checkbox" name="role_id"
+                  tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
+              <td tal:content="entry/user_name"> USERNAME  </td>
+              <td tal:content="entry/user_title"> USERTITLE  </td>
+              <td tal:content="entry/local_role_title"> LOCAL ROLE  </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 11037)
@@ -41,32 +41,34 @@
         Please be patient until all records have been loaded.
       </p>
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;
-            </th>
-            <th i18n:translate="">Year
-            </th>
-            <th i18n:translate="">Code
-            </th>
-            <th i18n:translate="">Title
-            </th>
-            <th i18n:translate="">Records
-            </th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="entry context/values"> <td>
-              <input type="checkbox" name="val_id"
-                tal:attributes="value entry/__name__" /> </td>
-            <td tal:content="entry/year">YEAR</td> <td>
-              <a href=""
-                tal:attributes="href python:view.url(entry) + '/manage'"
-                tal:content="entry/__name__">CODE</a> </td>
-            <td tal:content="entry/title">TITLE</td>
-            <td tal:content="python:len(entry)">YEAR</td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;
+              </th>
+              <th i18n:translate="">Year
+              </th>
+              <th i18n:translate="">Code
+              </th>
+              <th i18n:translate="">Title
+              </th>
+              <th i18n:translate="">Records
+              </th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="entry context/values"> <td>
+                <input type="checkbox" name="val_id"
+                  tal:attributes="value entry/__name__" /> </td>
+              <td tal:content="entry/year">YEAR</td> <td>
+                <a href=""
+                  tal:attributes="href python:view.url(entry) + '/manage'"
+                  tal:content="entry/__name__">CODE</a> </td>
+              <td tal:content="entry/title">TITLE</td>
+              <td tal:content="python:len(entry)">YEAR</td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
@@ -78,27 +80,29 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;
-            </th>
-            <th i18n:translate="">User Id
-            </th>
-            <th i18n:translate="">Name
-            </th>
-            <th i18n:translate="">Local Role
-            </th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles">
-            <td> <input type="checkbox" name="role_id"
-                    tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />  </td>
-            <td tal:content="entry/user_name">USERNAME</td>
-            <td tal:content="entry/user_title">USERTITLE</td>
-            <td tal:content="entry/local_role_title">LOCAL ROLE</td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;
+              </th>
+              <th i18n:translate="">User Id
+              </th>
+              <th i18n:translate="">Name
+              </th>
+              <th i18n:translate="">Local Role
+              </th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="entry view/getUsersWithLocalRoles">
+              <td> <input type="checkbox" name="role_id"
+                      tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />  </td>
+              <td tal:content="entry/user_name">USERNAME</td>
+              <td tal:content="entry/user_title">USERTITLE</td>
+              <td tal:content="entry/local_role_title">LOCAL ROLE</td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11037)
@@ -20,27 +20,28 @@
     <input type="hidden" name="old_searchtype"
          tal:attributes="value view/searchtype" />
-    <table class="display dataTable">
-      <thead>
-      <tr>
-        <th i18n:translate="">Applicant Id</th>
-        <th i18n:translate="">Reg. Number</th>
-        <th i18n:translate="">Application State</th>
-        <th i18n:translate="">Full Name</th>
-      </tr>
-      </thead>
-      <tbody>
-      <tr tal:repeat="item view/results" class="gradeC">
-        <td> <a tal:attributes="href python:view.url(item)">
-          <span tal:content="item/applicant_id">XXXX_1234</span></a>
-        </td>
-        <td class="center">
-          <span tal:content="item/reg_number">9999999</span>
-        </td>
-        <td tal:content="item/state">admitted</td>
-        <td tal:content="item/display_fullname">Bob</td>
-      </tr>
-      </tbody>
-    </table>
-    <br />
+    <div class="table-responsive">
+      <table class="display dataTable">
+        <thead>
+        <tr>
+          <th i18n:translate="">Applicant Id</th>
+          <th i18n:translate="">Reg. Number</th>
+          <th i18n:translate="">Application State</th>
+          <th i18n:translate="">Full Name</th>
+        </tr>
+        </thead>
+        <tbody>
+        <tr tal:repeat="item view/results" class="gradeC">
+          <td> <a tal:attributes="href python:view.url(item)">
+            <span tal:content="item/applicant_id">XXXX_1234</span></a>
+          </td>
+          <td class="center">
+            <span tal:content="item/reg_number">9999999</span>
+          </td>
+          <td tal:content="item/state">admitted</td>
+          <td tal:content="item/display_fullname">Bob</td>
+        </tr>
+        </tbody>
+      </table>
+    </div>
   </div>
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 11037)
@@ -35,53 +35,55 @@
         <span i18n:domain="waeup.kofa" i18n:translate="">Courses</span>
       </h3>
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;</th>
-            <th i18n:translate="">Level</th>
-            <th i18n:translate="">Semester</th>
-            <th i18n:translate="">Cert. Course</th>
-            <th i18n:translate="">Dep. Course</th>
-            <th i18n:translate="">Title</th>
-            <th i18n:translate="">Required</th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="cc context/values">
-            <td>
-              <input type="checkbox" name="val_id"
-                     tal:attributes="value cc/__name__" />
-            </td>
-            <td>
-              <span tal:content="cc/level">
-                LEVEL
-              </span>
-            </td>
-            <td tal:content="cc/course/semester">SEMESTER</td>
-            <td>
-              <a tal:attributes="href python: view.url(cc)"
-                 tal:content="cc/__name__">
-            	REFERRER CODE
-              </a>
-            </td>
-            <td>
-              <a tal:attributes="href python:view.url(cc.course)"
-                 tal:content="cc/course/code">
-            	COURSE CODE
-              </a>
-            </td>
-            <td>
-              <span tal:content="cc/course/title">
-                COURSE TITLE
-              </span>
-            </td>
-            <td>
-              <span tal:content="cc/mandatory">
-                REQUIRED
-              </span>
-            </td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;</th>
+              <th i18n:translate="">Level</th>
+              <th i18n:translate="">Semester</th>
+              <th i18n:translate="">Cert. Course</th>
+              <th i18n:translate="">Dep. Course</th>
+              <th i18n:translate="">Title</th>
+              <th i18n:translate="">Required</th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="cc context/values">
+              <td>
+                <input type="checkbox" name="val_id"
+                       tal:attributes="value cc/__name__" />
+              </td>
+              <td>
+                <span tal:content="cc/level">
+                  LEVEL
+                </span>
+              </td>
+              <td tal:content="cc/course/semester">SEMESTER</td>
+              <td>
+                <a tal:attributes="href python: view.url(cc)"
+                   tal:content="cc/__name__">
+              	REFERRER CODE
+                </a>
+              </td>
+              <td>
+                <a tal:attributes="href python:view.url(cc.course)"
+                   tal:content="cc/course/code">
+              	COURSE CODE
+                </a>
+              </td>
+              <td>
+                <span tal:content="cc/course/title">
+                  COURSE TITLE
+                </span>
+              </td>
+              <td>
+                <span tal:content="cc/mandatory">
+                  REQUIRED
+                </span>
+              </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions"
@@ -94,27 +96,29 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;
-            </th>
-            <th i18n:translate="">User Id
-            </th>
-            <th i18n:translate="">Name
-            </th>
-            <th i18n:translate="">Local Role
-            </th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
-            <input type="checkbox" name="role_id"
-                   tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
-            <td tal:content="entry/user_name"> USERNAME </td>
-            <td tal:content="entry/user_title"> USERTITLE </td>
-            <td tal:content="entry/local_role_title"> LOCAL ROLE </td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;
+              </th>
+              <th i18n:translate="">User Id
+              </th>
+              <th i18n:translate="">Name
+              </th>
+              <th i18n:translate="">Local Role
+              </th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
+              <input type="checkbox" name="role_id"
+                     tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
+              <td tal:content="entry/user_name"> USERNAME </td>
+              <td tal:content="entry/user_title"> USERTITLE </td>
+              <td tal:content="entry/local_role_title"> LOCAL ROLE </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatepage.pt	(revision 11037)
@@ -23,46 +23,48 @@
 </h3>
 <br />
-<table i18n:domain="waeup.kofa" class="dataTable">
-<thead>
-  <tr>
-    <th i18n:translate="">Level</th>
-    <th i18n:translate="">Semester</th>
-    <th i18n:translate="">Cert. Course</th>
-    <th i18n:translate="">Dep. Course</th>
-    <th i18n:translate="">Title</th>
-    <th i18n:translate="">Required</th>
-  </tr>
-</thead>
-<tbody>
-  <tr tal:repeat="cc context/values">
-     <td>
-      <span tal:content="cc/level">
-	   LEVEL
-      </span>
-    </td>
-    <td tal:content="cc/course/semester">SEMESTER</td>
-    <td>
-      <a tal:attributes="href python: view.url(cc)"
-	     tal:content="cc/__name__">
-    	REFERRER CODE
-      </a>
-    </td>
-    <td>
-      <a tal:attributes="href python:view.url(cc.course)"
-	     tal:content="cc/course/code">
-    	COURSE CODE
-      </a>
-    <td>
-      <span tal:content="cc/course/title">
-	   COURSE TITLE
-      </span>
-    </td>
-    <td>
-      <span tal:content="cc/mandatory">
-	   REQUIRED
-      </span>
-    </td>
-  </tr>
-</tbody>
-</table>
+<div class="table-responsive">
+  <table i18n:domain="waeup.kofa" class="dataTable">
+  <thead>
+    <tr>
+      <th i18n:translate="">Level</th>
+      <th i18n:translate="">Semester</th>
+      <th i18n:translate="">Cert. Course</th>
+      <th i18n:translate="">Dep. Course</th>
+      <th i18n:translate="">Title</th>
+      <th i18n:translate="">Required</th>
+    </tr>
+  </thead>
+  <tbody>
+    <tr tal:repeat="cc context/values">
+       <td>
+        <span tal:content="cc/level">
+  	   LEVEL
+        </span>
+      </td>
+      <td tal:content="cc/course/semester">SEMESTER</td>
+      <td>
+        <a tal:attributes="href python: view.url(cc)"
+  	     tal:content="cc/__name__">
+      	REFERRER CODE
+        </a>
+      </td>
+      <td>
+        <a tal:attributes="href python:view.url(cc.course)"
+  	     tal:content="cc/course/code">
+      	COURSE CODE
+        </a>
+      <td>
+        <span tal:content="cc/course/title">
+  	   COURSE TITLE
+        </span>
+      </td>
+      <td>
+        <span tal:content="cc/mandatory">
+  	   REQUIRED
+        </span>
+      </td>
+    </tr>
+  </tbody>
+  </table>
+</div>
 
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/coursemanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 11037)
@@ -28,27 +28,29 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;
-            </th>
-            <th i18n:translate="">User Id
-            </th>
-            <th i18n:translate="">Name
-            </th>
-            <th i18n:translate="">Local Role
-            </th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
-            <input type="checkbox" name="role_id"
-                   tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
-            <td tal:content="entry/user_name"> USERNAME </td>
-            <td tal:content="entry/user_title"> USERTITLE </td>
-            <td tal:content="entry/local_role_title"> LOCAL ROLE </td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;
+              </th>
+              <th i18n:translate="">User Id
+              </th>
+              <th i18n:translate="">Name
+              </th>
+              <th i18n:translate="">Local Role
+              </th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
+              <input type="checkbox" name="role_id"
+                     tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
+              <td tal:content="entry/user_name"> USERNAME </td>
+              <td tal:content="entry/user_title"> USERTITLE </td>
+              <td tal:content="entry/local_role_title"> LOCAL ROLE </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 11037)
@@ -4,21 +4,23 @@
   imports. The files contain the imported datasets.
 </p>
-<table i18n:domain="waeup.kofa" class="dataTableFiles">
-  <thead>
-    <tr>
-      <th i18n:translate="">File</th>
-      <th i18n:translate="">Datasets</th>
-      <th i18n:translate="">Upload Date</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="file context/getFinishedFiles">
-      <td><a tal:attributes="href python: 'download?filename=' + file.rel_path"
-             tal:content="file/name">FILENAME</a></td>
-      <td tal:content="python: file.lines-1">12 k</td>
-      <td tal:content="file/uploaddate">Mar 12, 2008</td>
-    </tr>
-  </tbody>
-</table>
+<div class="table-responsive">
+  <table i18n:domain="waeup.kofa" class="dataTableFiles">
+    <thead>
+      <tr>
+        <th i18n:translate="">File</th>
+        <th i18n:translate="">Datasets</th>
+        <th i18n:translate="">Upload Date</th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="file context/getFinishedFiles">
+        <td><a tal:attributes="href python: 'download?filename=' + file.rel_path"
+               tal:content="file/name">FILENAME</a></td>
+        <td tal:content="python: file.lines-1">12 k</td>
+        <td tal:content="file/uploaddate">Mar 12, 2008</td>
+      </tr>
+    </tbody>
+  </table>
+</div>
 <form method="POST">
   <input i18n:translate="" type="submit" class="btn btn-default" name="CANCEL"
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterpage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterpage.pt	(revision 11037)
@@ -11,30 +11,32 @@
 <form action="." tal:attributes="action request/URL" method="post"
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
-    <table i18n:domain="waeup.kofa" class="dataTableManageFiles">
-      <thead>
-        <tr>
-          <th></th>
-          <th i18n:translate="">File</th>
-          <th i18n:translate="">Datasets</th>
-          <th i18n:translate="">Upload Date</th>
-        </tr>
-      </thead>
-      <tbody>
-        <tr tal:repeat="file context/getPendingFiles">
-          <td>
-            <input type="checkbox" name="val_id"
-                         tal:attributes="value file/name" />
-          </td>
-          <td><a tal:attributes="href python: 'download?filename=' + file.name"
-                 tal:content="file/name">FILENAME</a></td>
-          <td tal:content="python: file.lines - 1">100</td>
-          <td tal:content="file/uploaddate">Mar 12, 2008</td>
-        </tr>
-      </tbody>
-    </table>
-      <div tal:condition="view/availableActions">
-        <span tal:repeat="action view/actions" tal:omit-tag="">
-          <input tal:replace="structure action/render"/>
-        </span>
-      </div>
+    <div class="table-responsive">
+      <table i18n:domain="waeup.kofa" class="dataTableManageFiles">
+        <thead>
+          <tr>
+            <th></th>
+            <th i18n:translate="">File</th>
+            <th i18n:translate="">Datasets</th>
+            <th i18n:translate="">Upload Date</th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="file context/getPendingFiles">
+            <td>
+              <input type="checkbox" name="val_id"
+                           tal:attributes="value file/name" />
+            </td>
+            <td><a tal:attributes="href python: 'download?filename=' + file.name"
+                   tal:content="file/name">FILENAME</a></td>
+            <td tal:content="python: file.lines - 1">100</td>
+            <td tal:content="file/uploaddate">Mar 12, 2008</td>
+          </tr>
+        </tbody>
+      </table>
+    </div>
+    <div tal:condition="view/availableActions">
+      <span tal:repeat="action view/actions" tal:omit-tag="">
+        <input tal:replace="structure action/render"/>
+      </span>
+    </div>
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 11037)
@@ -64,28 +64,30 @@
     </div>
     <div id="tab3" class="tab-pane"> <br />
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;
-            </th>
-            <th i18n:translate="">User Id
-            </th>
-            <th i18n:translate="">Name
-            </th>
-            <th i18n:translate="">Local Role
-            </th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles">
-            <td>
-              <input type="checkbox" name="role_id"
-              tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
-            <td tal:content="entry/user_name"> USERNAME </td>
-            <td tal:content="entry/user_title"> USERTITLE </td>
-            <td tal:content="entry/local_role_title"> LOCAL ROLE </td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;
+              </th>
+              <th i18n:translate="">User Id
+              </th>
+              <th i18n:translate="">Name
+              </th>
+              <th i18n:translate="">Local Role
+              </th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="entry view/getUsersWithLocalRoles">
+              <td>
+                <input type="checkbox" name="role_id"
+                tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
+              <td tal:content="entry/user_name"> USERNAME </td>
+              <td tal:content="entry/user_title"> USERTITLE </td>
+              <td tal:content="entry/local_role_title"> LOCAL ROLE </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt	(revision 11037)
@@ -25,30 +25,32 @@
   <input type="hidden" name="old_searchtype"
        tal:attributes="value view/searchtype" />
-  <table class="dataTable">
-    <thead>
-    <tr>
-      <th i18n:translate="">Student Id</th>
-      <th i18n:translate="">Reg. Number</th>
-      <th i18n:translate="">Matric. Number</th>
-      <th i18n:translate="">State</th>
-      <th i18n:translate="">Full Name</th>
-    </tr>
-    </thead>
-    <tbody>
-    <tr tal:repeat="item view/hitlist">
-      <td> <a tal:attributes="href item/url">
-        <span tal:content="item/student_id">A123456</span></a>
-      </td>
-      <td class="center"> <a tal:attributes="href item/url">
-        <span tal:content="item/reg_number">9999999</span></a>
-      </td>
-      <td class="center"> <a tal:attributes="href item/url">
-        <span tal:content="item/matric_number">9999999</span></a>
-      </td>
-      <td tal:content="item/state">admitted</td>
-      <td tal:content="item/display_fullname">Bob</td>
-    </tr>
-    </tbody>
-  </table>
+  <div class="table-responsive">
+    <table class="dataTable">
+      <thead>
+      <tr>
+        <th i18n:translate="">Student Id</th>
+        <th i18n:translate="">Reg. Number</th>
+        <th i18n:translate="">Matric. Number</th>
+        <th i18n:translate="">State</th>
+        <th i18n:translate="">Full Name</th>
+      </tr>
+      </thead>
+      <tbody>
+      <tr tal:repeat="item view/hitlist">
+        <td> <a tal:attributes="href item/url">
+          <span tal:content="item/student_id">A123456</span></a>
+        </td>
+        <td class="center"> <a tal:attributes="href item/url">
+          <span tal:content="item/reg_number">9999999</span></a>
+        </td>
+        <td class="center"> <a tal:attributes="href item/url">
+          <span tal:content="item/matric_number">9999999</span></a>
+        </td>
+        <td tal:content="item/state">admitted</td>
+        <td tal:content="item/display_fullname">Bob</td>
+      </tr>
+      </tbody>
+    </table>
+  </div>
   <br />
 </div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/searchpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/searchpage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/searchpage.pt	(revision 11037)
@@ -13,34 +13,36 @@
 <span  i18n:domain="waeup.kofa" tal:condition="view/hitlist">
     <h3 i18n:translate="">Search Results</h3>
-    <table class="dataTable">
-        <thead>
-            <tr>
-                <th i18n:translate="">Code</th>
-                <th i18n:translate="">Title</th>
-                <th i18n:translate="">Faculty</th>
-                <th i18n:translate="">Department</th>
-                <th i18n:translate="">Type</th>
-            </tr>
-        </thead>
-        <tbody>
-            <tr tal:repeat="item view/hitlist"  class="gradeB">
-            <td>
-                <a href="" tal:attributes="href item/url"
-                           tal:content="item/code">CODE</a>
-            </td>
-            <td tal:content="item/title">
-                TITLE
-            </td>
-            <td tal:content="item/fac">
-                FACULTY
-            </td>
-            <td tal:content="item/dep">
-                DEPARTMENT
-            </td>
-            <td tal:content="item/type">
-                TTYPE
-            </td>
-            </tr>
-        </tbody>
-    </table>
+    <div class="table-responsive">
+      <table class="dataTable">
+          <thead>
+              <tr>
+                  <th i18n:translate="">Code</th>
+                  <th i18n:translate="">Title</th>
+                  <th i18n:translate="">Faculty</th>
+                  <th i18n:translate="">Department</th>
+                  <th i18n:translate="">Type</th>
+              </tr>
+          </thead>
+          <tbody>
+              <tr tal:repeat="item view/hitlist"  class="gradeB">
+              <td>
+                  <a href="" tal:attributes="href item/url"
+                             tal:content="item/code">CODE</a>
+              </td>
+              <td tal:content="item/title">
+                  TITLE
+              </td>
+              <td tal:content="item/fac">
+                  FACULTY
+              </td>
+              <td tal:content="item/dep">
+                  DEPARTMENT
+              </td>
+              <td tal:content="item/type">
+                  TTYPE
+              </td>
+              </tr>
+          </tbody>
+      </table>
+    </div>
 </span>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/userscontainerpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/userscontainerpage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/userscontainerpage.pt	(revision 11037)
@@ -1,29 +1,31 @@
-<table i18n:domain="waeup.kofa" class="table table-striped dataTable">
-  <thead>
-    <tr>
-      <th i18n:translate="">Id</th>
-      <th i18n:translate="">Name</th>
-      <th i18n:translate="">Portal Roles</th>
-      <th i18n:translate="">Local Roles</th>
-      <th></th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="account context/values">
-      <td tal:content="account/name">USERNAME</td>
-      <td tal:content="account/title">TITLE</td>
-      <td nowrap tal:content="structure python:view.getSiteRoles(account)">SITE ROLES</td>
-      <td tal:content="structure python:view.getLocalRoles(account)">LOCAL ROLES</td>
-      <td class="text-right">
-        <form method="post">
-          <input type="hidden" name="userid"
-           tal:attributes="value account/name"/>
-            <input class="btn btn-sm btn-primary" type="submit" name="manage"
-              tal:attributes="value view/manage_button" />
-            <input class="btn btn-sm btn-default" type="submit" name="delete"
-              tal:attributes="value view/delete_button" />
-        </form>
-      </td>
-    </tr>
-  </tbody>
-</table>
+<div class="table-responsive">
+  <table i18n:domain="waeup.kofa" class="table table-striped dataTable">
+    <thead>
+      <tr>
+        <th i18n:translate="">Id</th>
+        <th i18n:translate="">Name</th>
+        <th i18n:translate="">Portal Roles</th>
+        <th i18n:translate="">Local Roles</th>
+        <th></th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="account context/values">
+        <td tal:content="account/name">USERNAME</td>
+        <td tal:content="account/title">TITLE</td>
+        <td nowrap tal:content="structure python:view.getSiteRoles(account)">SITE ROLES</td>
+        <td tal:content="structure python:view.getLocalRoles(account)">LOCAL ROLES</td>
+        <td class="text-right">
+          <form method="post">
+            <input type="hidden" name="userid"
+             tal:attributes="value account/name"/>
+              <input class="btn btn-sm btn-primary" type="submit" name="manage"
+                tal:attributes="value view/manage_button" />
+              <input class="btn btn-sm btn-default" type="submit" name="delete"
+                tal:attributes="value view/delete_button" />
+          </form>
+        </td>
+      </tr>
+    </tbody>
+  </table>
+</div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 11037)
@@ -34,24 +34,26 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;
-            </th>
-            <th i18n:translate="">Id
-            </th>
-            <th i18n:translate="">Name
-            </th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="hostel context/values"> <td>
-              <input type="checkbox" name="val_id" tal:attributes="value hostel/hostel_id" /> </td> <td>
-              <a tal:attributes="href python: view.url(hostel)" tal:content="hostel/__name__"> ID</a> </td> <td>
-              <span tal:content="hostel/hostel_name">ID
-              </span> </td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;
+              </th>
+              <th i18n:translate="">Id
+              </th>
+              <th i18n:translate="">Name
+              </th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="hostel context/values"> <td>
+                <input type="checkbox" name="val_id" tal:attributes="value hostel/hostel_id" /> </td> <td>
+                <a tal:attributes="href python: view.url(hostel)" tal:content="hostel/__name__"> ID</a> </td> <td>
+                <span tal:content="hostel/hostel_name">ID
+                </span> </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 11037)
@@ -44,38 +44,40 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;</th>
-            <th i18n:translate="">Id</th>
-            <th i18n:translate="">Type</th>
-            <th i18n:translate="">Number</th>
-            <th i18n:translate="">Owner</th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="value context/values">
-             <td>
-              <input type="checkbox" name="val_id"
-        		  tal:attributes="value value/__name__" />
-            </td>
-            <td tal:content="value/bed_id">ID</td>
-            <td tal:content="value/bed_type">TYPE</td>
-            <td tal:content="value/bed_number">NUMBER</td>
-            <td>
-              <a tal:condition="python: value.owner != view.not_occupied"
-                 tal:attributes="href python: '%s/%s/accommodation' %
-                      (view.students_url,value.owner)">
-                <span tal:content="value/owner">OWNER</span>
-              </a>
-              <a tal:condition="python: value.owner == view.not_occupied"
-                 tal:attributes="href python: view.url(value)"
-                 i18n:translate="">
-              [allocate student]
-              </a>
-            </td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;</th>
+              <th i18n:translate="">Id</th>
+              <th i18n:translate="">Type</th>
+              <th i18n:translate="">Number</th>
+              <th i18n:translate="">Owner</th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="value context/values">
+               <td>
+                <input type="checkbox" name="val_id"
+          		  tal:attributes="value value/__name__" />
+              </td>
+              <td tal:content="value/bed_id">ID</td>
+              <td tal:content="value/bed_type">TYPE</td>
+              <td tal:content="value/bed_number">NUMBER</td>
+              <td>
+                <a tal:condition="python: value.owner != view.not_occupied"
+                   tal:attributes="href python: '%s/%s/accommodation' %
+                        (view.students_url,value.owner)">
+                  <span tal:content="value/owner">OWNER</span>
+                </a>
+                <a tal:condition="python: value.owner == view.not_occupied"
+                   tal:attributes="href python: view.url(value)"
+                   i18n:translate="">
+                [allocate student]
+                </a>
+              </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
 
       <div tal:condition="view/availableActions">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/accommodationmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/accommodationmanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/accommodationmanagepage.pt	(revision 11037)
@@ -2,29 +2,31 @@
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
-  <table class="display dataTableManage">
-    <thead>
-    <tr>
-      <th tal:condition="not: layout/isStudent">&nbsp;</th>
-      <th i18n:translate="">Session</th>
-      <th i18n:translate="">Booking Date</th>
-      <th i18n:translate="">Bed Coordinates</th>
-      <th i18n:translate="">Bed Category</th>
-    </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="cl context/values">
-         <td tal:condition="not: layout/isStudent">
-          <input type="checkbox"
-    		 name="val_id"
-    		 tal:attributes="value cl/__name__" />
-        </td>
-        <td> <a tal:attributes="href cl/__name__">
-        <span tal:content="python: cl.getSessionString()">PID</span></a></td>
-        <td tal:content="python: layout.formatDatetime(cl.booking_date)">DATE</td>
-        <td tal:content="cl/display_coordinates">COORDINATES</td>
-        <td tal:content="cl/bed_type">TYPE</td>
+  <div class="table-responsive">
+    <table class="display dataTableManage">
+      <thead>
+      <tr>
+        <th tal:condition="not: layout/isStudent">&nbsp;</th>
+        <th i18n:translate="">Session</th>
+        <th i18n:translate="">Booking Date</th>
+        <th i18n:translate="">Bed Coordinates</th>
+        <th i18n:translate="">Bed Category</th>
       </tr>
-    </tbody>
-  </table>
+      </thead>
+      <tbody>
+        <tr tal:repeat="cl context/values">
+           <td tal:condition="not: layout/isStudent">
+            <input type="checkbox"
+      		 name="val_id"
+      		 tal:attributes="value cl/__name__" />
+          </td>
+          <td> <a tal:attributes="href cl/__name__">
+          <span tal:content="python: cl.getSessionString()">PID</span></a></td>
+          <td tal:content="python: layout.formatDatetime(cl.booking_date)">DATE</td>
+          <td tal:content="cl/display_coordinates">COORDINATES</td>
+          <td tal:content="cl/bed_type">TYPE</td>
+        </tr>
+      </tbody>
+    </table>
+  </div>
 
   <div tal:condition="view/availableActions">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11037)
@@ -30,34 +30,35 @@
     <span  i18n:translate="">Select all</span>
     <br /><br />
-
-    <table class="display dataTableManage">
-      <thead>
-    	<tr>
-    	  <th>&nbsp;</th>
-        <th i18n:translate="">Student Id</th>
-        <th i18n:translate="">Reg. Number</th>
-        <th i18n:translate="">Matric. Number</th>
-        <th i18n:translate="">State</th>
-        <th i18n:translate="">Full Name</th>
-    	</tr>
-      </thead>
-      <tbody>
-    	<tr tal:repeat="item view/hitlist" class="gradeC">
-    	  <td><input type="checkbox" name="entries"
-    	             tal:attributes="value item/context/__name__" /></td>
-    	  <td> <a tal:attributes="href item/url">
-          <span tal:content="item/student_id">A123456</span></a>
-        </td>
-        <td class="center"> <a tal:attributes="href item/url">
-          <span tal:content="item/reg_number">9999999</span></a>
-        </td>
-        <td class="center"> <a tal:attributes="href item/url">
-          <span tal:content="item/matric_number">9999999</span></a>
-        </td>
-        <td tal:content="item/state">admitted</td>
-    	  <td tal:content="item/display_fullname">Bob</td>
-    	</tr>
-      </tbody>
-    </table>
+    <div class="table-responsive">
+      <table class="display dataTableManage">
+        <thead>
+      	<tr>
+      	  <th>&nbsp;</th>
+          <th i18n:translate="">Student Id</th>
+          <th i18n:translate="">Reg. Number</th>
+          <th i18n:translate="">Matric. Number</th>
+          <th i18n:translate="">State</th>
+          <th i18n:translate="">Full Name</th>
+      	</tr>
+        </thead>
+        <tbody>
+      	<tr tal:repeat="item view/hitlist" class="gradeC">
+      	  <td><input type="checkbox" name="entries"
+      	             tal:attributes="value item/context/__name__" /></td>
+      	  <td> <a tal:attributes="href item/url">
+            <span tal:content="item/student_id">A123456</span></a>
+          </td>
+          <td class="center"> <a tal:attributes="href item/url">
+            <span tal:content="item/reg_number">9999999</span></a>
+          </td>
+          <td class="center"> <a tal:attributes="href item/url">
+            <span tal:content="item/matric_number">9999999</span></a>
+          </td>
+          <td tal:content="item/state">admitted</td>
+      	  <td tal:content="item/display_fullname">Bob</td>
+      	</tr>
+        </tbody>
+      </table>
+    </div>
     
     <input type="submit" name="remove"
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11037)
@@ -33,30 +33,32 @@
   <input type="hidden" name="old_searchtype"
        tal:attributes="value view/searchtype" />
-  <table class="table table-striped dataTable">
-    <thead>
-    <tr>
-      <th i18n:translate="">Student Id</th>
-      <th i18n:translate="">Reg. Number</th>
-      <th i18n:translate="">Matric. Number</th>
-      <th i18n:translate="">State</th>
-      <th i18n:translate="">Full Name</th>
-    </tr>
-    </thead>
-    <tbody>
-    <tr tal:repeat="item view/hitlist">
-      <td> <a tal:attributes="href item/url">
-        <span tal:content="item/student_id">A123456</span></a>
-      </td>
-      <td class="center"> <a tal:attributes="href item/url">
-        <span tal:content="item/reg_number">9999999</span></a>
-      </td>
-      <td class="center"> <a tal:attributes="href item/url">
-        <span tal:content="item/matric_number">9999999</span></a>
-      </td>
-      <td tal:content="item/state">admitted</td>
-      <td tal:content="item/display_fullname">Bob</td>
-    </tr>
-    </tbody>
-  </table>
+  <div class="table-responsive">
+    <table class="table table-striped dataTable">
+      <thead>
+      <tr>
+        <th i18n:translate="">Student Id</th>
+        <th i18n:translate="">Reg. Number</th>
+        <th i18n:translate="">Matric. Number</th>
+        <th i18n:translate="">State</th>
+        <th i18n:translate="">Full Name</th>
+      </tr>
+      </thead>
+      <tbody>
+      <tr tal:repeat="item view/hitlist">
+        <td> <a tal:attributes="href item/url">
+          <span tal:content="item/student_id">A123456</span></a>
+        </td>
+        <td class="center"> <a tal:attributes="href item/url">
+          <span tal:content="item/reg_number">9999999</span></a>
+        </td>
+        <td class="center"> <a tal:attributes="href item/url">
+          <span tal:content="item/matric_number">9999999</span></a>
+        </td>
+        <td tal:content="item/state">admitted</td>
+        <td tal:content="item/display_fullname">Bob</td>
+      </tr>
+      </tbody>
+    </table>
+  </div>
   <br />
 </div>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/editscorespage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/editscorespage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/editscorespage.pt	(revision 11037)
@@ -2,36 +2,37 @@
   <br />
 
-
-  <table class="display dataTable">
-    <thead>
-  	<tr>
-      <th i18n:translate="">Matric No.</th>
-      <th i18n:translate="">Score</th>
-      <th i18n:translate="">Fullname</th>
-      <th i18n:translate="">Status</th>
-      <th i18n:translate="">Certificate</th>
-      <th i18n:translate="">Current Session</th>
-      <th i18n:translate="">Current Level</th>
-      <th i18n:translate="">Course Level</th>
-  	</tr>
-    </thead>
-    <tbody>
-  	<tr tal:repeat="ticket view/tickets" class="gradeC">
-      <td tal:content="ticket/student/matric_number">MATRIC_NUMBER</td>
-  	  <td tal:condition="ticket/editable_by_lecturer">
-          <input type="text" name="scores" class="span1"
-  	             tal:attributes="value ticket/score" />
-      </td>
-      <td tal:condition="not: ticket/editable_by_lecturer"
-          tal:content="ticket/score">SCORE</td>
-  	  <td tal:content="ticket/student/display_fullname">FULLNAME</td>
-      <td tal:content="ticket/student/translated_state">STATE</td>
-      <td tal:content="ticket/student/certcode">CERTCODE</td>
-      <td tal:content="ticket/student/current_session">SESSION</td>
-      <td tal:content="ticket/student/current_level">LEVEL</td>
-      <td tal:content="ticket/level">LEVEL</td>
-  	</tr>
-    </tbody>
-  </table>
+  <div class="table-responsive">
+    <table class="display dataTable">
+      <thead>
+    	<tr>
+        <th i18n:translate="">Matric No.</th>
+        <th i18n:translate="">Score</th>
+        <th i18n:translate="">Fullname</th>
+        <th i18n:translate="">Status</th>
+        <th i18n:translate="">Certificate</th>
+        <th i18n:translate="">Current Session</th>
+        <th i18n:translate="">Current Level</th>
+        <th i18n:translate="">Course Level</th>
+    	</tr>
+      </thead>
+      <tbody>
+    	<tr tal:repeat="ticket view/tickets" class="gradeC">
+        <td tal:content="ticket/student/matric_number">MATRIC_NUMBER</td>
+    	  <td tal:condition="ticket/editable_by_lecturer">
+            <input type="text" name="scores" class="span1"
+    	             tal:attributes="value ticket/score" />
+        </td>
+        <td tal:condition="not: ticket/editable_by_lecturer"
+            tal:content="ticket/score">SCORE</td>
+    	  <td tal:content="ticket/student/display_fullname">FULLNAME</td>
+        <td tal:content="ticket/student/translated_state">STATE</td>
+        <td tal:content="ticket/student/certcode">CERTCODE</td>
+        <td tal:content="ticket/student/current_session">SESSION</td>
+        <td tal:content="ticket/student/current_level">LEVEL</td>
+        <td tal:content="ticket/level">LEVEL</td>
+    	</tr>
+      </tbody>
+    </table>
+  </div>
 
   <input type="submit" name="UPDATE"
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 11037)
@@ -51,38 +51,40 @@
       <span tal:replace="view/level_string">LEVEL</span>
     </h3>
-    <table class="display dataTable">
-      <thead>
-    	<tr>
-    	  <th i18n:translate="">Student Id</th>
-        <th i18n:translate="">Matric No.</th>
-        <th i18n:translate="">Fullname</th>
-        <th i18n:translate="">Status</th>
-        <th i18n:translate="">Certificate</th>
-        <th i18n:translate="">Current Session</th>
-        <th i18n:translate="">Current Level</th>
-        <th i18n:translate="">Comment</th>
-    	</tr>
-      </thead>
-      <tbody>
-    	<tr tal:repeat="item view/hitlist" class="gradeC">
-    	  <td> <a tal:attributes="href item/url"
-                target="_blank">
-          <span tal:content="item/student_id">A123456</span></a>
-        </td>
-        <td tal:content="item/matric_number">MATRIC_NUMBER</td>
-    	  <td tal:content="item/display_fullname">FULLNAME</td>
-        <td tal:content="item/translated_state">STATE</td>
-        <td>
-          <a tal:attributes="href python: view.url(item.certificate)"
-             tal:content="item/certificate/code">
-             CERTIFICATE
-          </a>
-        </td>
-        <td tal:content="item/current_session">SESSION</td>
-        <td tal:content="item/current_level">LEVEL</td>
-        <td><span tal:condition="item/comment">yes</span></td>
-    	</tr>
-      </tbody>
-    </table>
+    <div class="table-responsive">
+      <table class="display dataTable">
+        <thead>
+      	<tr>
+      	  <th i18n:translate="">Student Id</th>
+          <th i18n:translate="">Matric No.</th>
+          <th i18n:translate="">Fullname</th>
+          <th i18n:translate="">Status</th>
+          <th i18n:translate="">Certificate</th>
+          <th i18n:translate="">Current Session</th>
+          <th i18n:translate="">Current Level</th>
+          <th i18n:translate="">Comment</th>
+      	</tr>
+        </thead>
+        <tbody>
+      	<tr tal:repeat="item view/hitlist" class="gradeC">
+      	  <td> <a tal:attributes="href item/url"
+                  target="_blank">
+            <span tal:content="item/student_id">A123456</span></a>
+          </td>
+          <td tal:content="item/matric_number">MATRIC_NUMBER</td>
+      	  <td tal:content="item/display_fullname">FULLNAME</td>
+          <td tal:content="item/translated_state">STATE</td>
+          <td>
+            <a tal:attributes="href python: view.url(item.certificate)"
+               tal:content="item/certificate/code">
+               CERTIFICATE
+            </a>
+          </td>
+          <td tal:content="item/current_session">SESSION</td>
+          <td tal:content="item/current_level">LEVEL</td>
+          <td><span tal:condition="item/comment">yes</span></td>
+      	</tr>
+        </tbody>
+      </table>
+    </div>
   </div>
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/paymentsmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/paymentsmanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/paymentsmanagepage.pt	(revision 11037)
@@ -2,38 +2,40 @@
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
-  <table class="display dataTableManage">
-    <thead>
-    <tr>
-      <th>&nbsp;</th>
-      <th i18n:translate="">Payment Id</th>
-      <th i18n:translate="">Creation Date</th>
-      <th i18n:translate="">Payment Date</th>
-      <th i18n:translate="">Category</th>
-      <th i18n:translate="">Item</th>
-      <th i18n:translate="">Amount</th>
-      <th i18n:translate="">Session</th>
-      <th i18n:translate="">State</th>
-    </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="cl context/values">
-         <td>
-          <input type="checkbox"
-    		 name="val_id"
-    		 tal:attributes="value cl/__name__"
-         tal:condition="python: not view.unremovable(cl)" />
-        </td>
-        <td> <a tal:attributes="href cl/__name__">
-        <span tal:content="cl/p_id">PID</span></a></td>
-        <td tal:content="python: layout.formatDatetime(cl.creation_date)">CREATION DATE</td>
-        <td tal:content="python: layout.formatDatetime(cl.payment_date)">PAYMENT DATE</td>
-      <td nowrap tal:content ="cl/category">CATEGORY</td>
-      <td tal:content ="cl/display_item">ITEM</td>
-      <td tal:content ="cl/amount_auth">AMOUNT</td>
-      <td tal:content ="cl/p_session">SESSION</td>
-      <td tal:content ="cl/p_state_title">STATE</td>
+  <div class="table-responsive">
+    <table class="display dataTableManage">
+      <thead>
+      <tr>
+        <th>&nbsp;</th>
+        <th i18n:translate="">Payment Id</th>
+        <th i18n:translate="">Creation Date</th>
+        <th i18n:translate="">Payment Date</th>
+        <th i18n:translate="">Category</th>
+        <th i18n:translate="">Item</th>
+        <th i18n:translate="">Amount</th>
+        <th i18n:translate="">Session</th>
+        <th i18n:translate="">State</th>
       </tr>
-    </tbody>
-  </table>
+      </thead>
+      <tbody>
+        <tr tal:repeat="cl context/values">
+           <td>
+            <input type="checkbox"
+      		 name="val_id"
+      		 tal:attributes="value cl/__name__"
+           tal:condition="python: not view.unremovable(cl)" />
+          </td>
+          <td> <a tal:attributes="href cl/__name__">
+          <span tal:content="cl/p_id">PID</span></a></td>
+          <td tal:content="python: layout.formatDatetime(cl.creation_date)">CREATION DATE</td>
+          <td tal:content="python: layout.formatDatetime(cl.payment_date)">PAYMENT DATE</td>
+        <td nowrap tal:content ="cl/category">CATEGORY</td>
+        <td tal:content ="cl/display_item">ITEM</td>
+        <td tal:content ="cl/amount_auth">AMOUNT</td>
+        <td tal:content ="cl/p_session">SESSION</td>
+        <td tal:content ="cl/p_state_title">STATE</td>
+        </tr>
+      </tbody>
+    </table>
+  </div>
 
   <div tal:condition="python: view.availableActions and view.manage_payments_allowed">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt	(revision 11037)
@@ -34,28 +34,30 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="dataTableManage">
-        <thead>
-          <tr>
-            <th>&nbsp;</th>
-            <th i18n:translate="">Level Code</th>
-            <th i18n:translate="">Level Title</th>
-          </tr>
-        </thead>
-        <tbody>
-          <tr tal:repeat="cl context/values">
-             <td>
-              <input type="checkbox"
-        		 name="val_id"
-        		 tal:attributes="value cl/__name__" />
-            </td>
-            <td> <a tal:attributes="href python:view.url(cl)">
-              <span tal:content="cl/level">CODE</span></a>
-            </td>
-            <td>
-              <span tal:content="cl/level_title">TITLE</span>
-            </td>
-          </tr>
-        </tbody>
-      </table>
+      <div class="table-responsive">
+        <table class="dataTableManage">
+          <thead>
+            <tr>
+              <th>&nbsp;</th>
+              <th i18n:translate="">Level Code</th>
+              <th i18n:translate="">Level Title</th>
+            </tr>
+          </thead>
+          <tbody>
+            <tr tal:repeat="cl context/values">
+               <td>
+                <input type="checkbox"
+          		 name="val_id"
+          		 tal:attributes="value cl/__name__" />
+              </td>
+              <td> <a tal:attributes="href python:view.url(cl)">
+                <span tal:content="cl/level">CODE</span></a>
+              </td>
+              <td>
+                <span tal:content="cl/level_title">TITLE</span>
+              </td>
+            </tr>
+          </tbody>
+        </table>
+      </div>
 
       <div tal:condition="view/availableActions">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 11037)
@@ -8,38 +8,40 @@
       tal:replace="view/context/total_credits">TOTAL</span>)
   </h3>
-  <table class="display dataTableManage">
-  <thead>
-    <tr>
-      <th>&nbsp;</th>
-      <th i18n:translate="">Term</th>
-      <th i18n:translate="">Code</th>
-      <th i18n:translate="">Title</th>
-      <th i18n:translate="">Department</th>
-      <th i18n:translate="">Faculty</th>
-      <th i18n:translate="">Credits</th>
-      <th i18n:translate="">Score</th>
-      <th i18n:translate="">CO</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="value view/translated_values" class="gradeC">
-       <td>
-        <input type="checkbox" name="val_id"
-  		  tal:attributes="value value/__name__"
-        tal:condition="value/removable_by_student" />
-      </td>
-      <td tal:content="value/semester" nowrap>TERM</td>
-      <td> <a tal:attributes="href value/url">
-      <span tal:content="value/code">CODE</span>
-      </a></td>
-      <td tal:content="value/title">TITLE</td>
-      <td tal:content="value/dcode">DEPARTMENT</td>
-      <td tal:content="value/fcode">FACULTY</td>
-      <td tal:content="value/credits">CREDITS</td>
-      <td tal:content="value/score|nothing">SCORE</td>
-      <td tal:content="value/carry_over">CO</td>
-    </tr>
-  </tbody>
-  </table>
+  <div class="table-responsive">
+    <table class="display dataTableManage">
+    <thead>
+      <tr>
+        <th>&nbsp;</th>
+        <th i18n:translate="">Term</th>
+        <th i18n:translate="">Code</th>
+        <th i18n:translate="">Title</th>
+        <th i18n:translate="">Department</th>
+        <th i18n:translate="">Faculty</th>
+        <th i18n:translate="">Credits</th>
+        <th i18n:translate="">Score</th>
+        <th i18n:translate="">CO</th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="value view/translated_values" class="gradeC">
+         <td>
+          <input type="checkbox" name="val_id"
+    		  tal:attributes="value value/__name__"
+          tal:condition="value/removable_by_student" />
+        </td>
+        <td tal:content="value/semester" nowrap>TERM</td>
+        <td> <a tal:attributes="href value/url">
+        <span tal:content="value/code">CODE</span>
+        </a></td>
+        <td tal:content="value/title">TITLE</td>
+        <td tal:content="value/dcode">DEPARTMENT</td>
+        <td tal:content="value/fcode">FACULTY</td>
+        <td tal:content="value/credits">CREDITS</td>
+        <td tal:content="value/score|nothing">SCORE</td>
+        <td tal:content="value/carry_over">CO</td>
+      </tr>
+    </tbody>
+    </table>
+  </div>
 
   <div tal:condition="view/availableActions">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11036)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11037)
@@ -34,41 +34,45 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="display dataTableManage">
-      <thead>
-        <tr>
-          <th>&nbsp;</th>
-          <th i18n:translate="">Term</th>
-          <th i18n:translate="">Code</th>
-          <th i18n:translate="">Title</th>
-          <th i18n:translate="">Dept.</th>
-          <th i18n:translate="">Fact.</th>
-          <th i18n:translate="">Cred.</th>
-          <th i18n:translate="">Requ.</th>
-          <th i18n:translate="">Score</th>
-          <th i18n:translate="">CO</th>
-          <th i18n:translate="">Auto</th>
-        </tr>
-      </thead>
-      <tbody>
-        <tr tal:repeat="value view/translated_values" class="gradeC">
-          <td>
-            <input type="checkbox" name="val_id"
-      		  tal:attributes="value value/__name__" />
-          </td>
-          <td tal:content="value/semester" nowrap>TERM</td>
-          <td> <a tal:attributes="href value/url">
-          <span tal:content="value/code">CODE</span>
-          </a></td>
-          <td tal:content="value/title">TITLE</td>
-          <td tal:content="value/dcode">DEPARTMENT</td>
-          <td tal:content="value/fcode">FACULTY</td>
-          <td tal:content="value/credits">CREDITS</td>
-          <td tal:content="value/mandatory">MANDATORY</td>
-          <td tal:content="value/score|nothing">SCORE</td>
-          <td tal:content="value/carry_over">CO</td>
-          <td tal:content="value/automatic">AUTO</td>
-        </tr>
-      </tbody>
-      </table>
+      <div class="table-responsive">
+        <div class="table-responsive">
+          <table class="display dataTableManage">
+            <thead>
+              <tr>
+                <th>&nbsp;</th>
+                <th i18n:translate="">Term</th>
+                <th i18n:translate="">Code</th>
+                <th i18n:translate="">Title</th>
+                <th i18n:translate="">Dept.</th>
+                <th i18n:translate="">Fact.</th>
+                <th i18n:translate="">Cred.</th>
+                <th i18n:translate="">Requ.</th>
+                <th i18n:translate="">Score</th>
+                <th i18n:translate="">CO</th>
+                <th i18n:translate="">Auto</th>
+              </tr>
+            </thead>
+            <tbody>
+              <tr tal:repeat="value view/translated_values" class="gradeC">
+                <td>
+                  <input type="checkbox" name="val_id"
+            		  tal:attributes="value value/__name__" />
+                </td>
+                <td tal:content="value/semester" nowrap>TERM</td>
+                <td> <a tal:attributes="href value/url">
+                <span tal:content="value/code">CODE</span>
+                </a></td>
+                <td tal:content="value/title">TITLE</td>
+                <td tal:content="value/dcode">DEPARTMENT</td>
+                <td tal:content="value/fcode">FACULTY</td>
+                <td tal:content="value/credits">CREDITS</td>
+                <td tal:content="value/mandatory">MANDATORY</td>
+                <td tal:content="value/score|nothing">SCORE</td>
+                <td tal:content="value/carry_over">CO</td>
+                <td tal:content="value/automatic">AUTO</td>
+              </tr>
+            </tbody>
+          </table>
+        </div>
+      </div>
 
       <div tal:condition="view/availableActions">
